/*! HTML5 Boilerplate v8.0.0 | MIT License | https://html5boilerplate.com/ */

/* main.css 2.1.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

body {
  margin: 0;
  background-color: white;
}

#parallax {
  position: relative;
  display: flex;
  flex: 1;
  width: 100%;
  height: 100vh;
  background-image: url(../img/us.png), url(../img/date.png), url(../img/landscape.png);
  background-repeat: no-repeat;
  background-position: 50% 80%, 50% 8%, 50% 50%;
  background-size: auto 30%, auto 30%, cover;
}

@keyframes appear {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.aside {
  position: absolute;
  display: flex;
  flex-direction: column;
  width: 20%;
  height: 30%;
  top: 10%;
}

#left {
  left: 5%;
  top: 5%;
}

#right {
  right: 5%;
  align-items: end;
}

.line {
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-position: center;
  animation: appear 1s;
  background-size: contain;
}

.top {
  margin-bottom: 20px;
}

.big {
  flex: 2
}

.small {
  background-position: top center;
  flex: 1
}

#wedding {
  background-image: url(../img/wedding.png);
}

#names {
  background-image: url(../img/names.png);
}

#location {
  background-image: url(../img/location.png);
}

#save {
  background-image: url(../img/save_the_date.png);
  animation-delay: 300ms;
}

#add_container {
  display: block;
  width: 100%;
  height: 100%;
}

#add {
  animation: tilt-shaking 1s infinite;
}

@keyframes tilt-shaking {
  0% {
    transform: rotate(0deg);
  }

  8% {
    transform: rotate(3deg);
  }

  16% {
    transform: rotate(0eg);
  }

  24% {
    transform: rotate(-3deg);
  }

  32% {
    transform: rotate(0deg);
  }

  40% {
    transform: rotate(3deg);
  }

  48% {
    transform: rotate(0eg);
  }

  56% {
    transform: rotate(-3deg);
  }

  64% {
    transform: rotate(0deg);
  }
}

#addeventatc1 {
  font-family: 'Caveat', cursive;
  font-size: 1.5em;
  padding: 10px 15px;
  display: flex;
  flex-direction: column;
  overflow: visible;
  text-align: center;
  border: none;
  background-color: transparent;
  box-shadow: 0 0 0 0px transparent !important;
  font-weight: normal;
  background-image: url(../img/bg_add.png);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: center;
}

#addeventatc1>span.atc_node {
  display: none;
}

#addeventatc1 .addeventatc_icon {
  display: none;
}

.addeventatc1:hover {
  background-color: transparent;
}



/*
#addeventatc1-drop {
  background-image: none;
  background-color: white;
  padding: 15px;
  -webkit-border-radius: 30px;
  border-radius: 30px;
  position: absolute;
  left: -15%;
  right: -15%;
  top: -5%;
  font-family: 'Courier New', Courier, monospace;
  font-size: 0.7em;
  font-weight: bold;
  width: auto;
}

#addeventatc1-drop>span {
  display: block;
  border-bottom: 1px solid #D0D0D0;
  padding: 10px;
}*/

/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.sr-only {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .sr-only class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.sr-only.focusable:active,
.sr-only.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: " ";
  display: table;
}

.clearfix::after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media only screen and (max-width: 1024px) {
  #parallax {
    background-size: auto 30%, 40% auto, cover;
  }

  .aside {}

  .big {
    flex: 2;
    background-position: center bottom;
  }

  .small {
    flex: 1;
  }
}

@keyframes bg-animate {
  0% {
    background-position: 50% 95%, 50% 25%, 50% 50%;
  }

  25% {
    background-position: 45% 94%, 50% 25%, 50% 50%;
  }

  50% {
    background-position: 50% 95%, 50% 25%, 50% 50%;
  }

  75% {
    background-position: 55% 94%, 50% 25%, 50% 50%;
  }

  100% {
    background-position: 50% 95%, 50% 25%, 50% 50%;
  }
}

@media only screen and (max-width: 600px) {
  #parallax {
    background-image: url(../img/us.png), url(../img/date.png), url(../img/landscape-mob.png);
    background-position: 50% 95%, 50% 25%, 50% 50%;
    background-size: auto 30%, 80% auto, cover;
    animation: bg-animate 4s infinite;
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -ms-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
  }

  #left {
    left: 10%;
    right: 10%;
    top: 1%;
    height: 20%;
  }

  #left .big {
    flex: 1.5;
    transform: rotate(-7deg);
    background-position: center 30%;
  }

  #left .small {
    flex: 1;
    transform: rotate(7deg);
    background-position: center 80%;
  }

  #right {
    left: 10%;
    right: 10%;
    top: 53%;
    align-items: end;
  }

  #left .top.small,
  #right .top {
    display: none;
  }

  #right .small {
    width: 70%;
    margin: auto;
  }

  .aside {
    flex-direction: row;
    height: 10%;
    width: auto;
  }

  #addeventatc1 {
    width: 70%;
    margin: auto;
  }

  #addeventatc1-drop {
    left: 10% !important;
    right: 10%;
    margin: auto;
  }

  #names {
    background-image: url(../img/wedding_mob.png);
  }
}


@media only screen and (max-width: 500px) {
  #right {
    top: 48%;
  }
}

@media only screen and (max-width: 400px) {
  #parallax {
    background-size: 90% auto, 80% auto, cover;
  }
}

@media print,
(-webkit-min-device-pixel-ratio: 1.25),
(min-resolution: 1.25dppx),
(min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {

  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  /*
   * Printing Tables:
   * https://web.archive.org/web/20180815150934/http://css-discuss.incutio.com/wiki/Printing_Tables
   */
  thead {
    display: table-header-group;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}